import { Store, UpdateInStore } from './shared/types';
/**
 * Deep update the store, the following rules are followed:
 * - If updating the root level, the store object itself is mutated.
 * - For any other (deep) update we clone each node along the path to
 *   the target to update (the target is cloned too).
 */
export declare const updateStore: UpdateInStore;
/**
 * Empty the Recollect store and replace it with new data.
 */
export declare const initStore: (data?: Partial<Store> | undefined) => void;
/**
 * Executes the provided function, then updates appropriate components and calls
 * listeners registered with `afterChange()`. Guaranteed to only trigger one
 * update. The provided function must only contain synchronous code.
 */
export declare const batch: (cb: () => void) => void;
//# sourceMappingURL=store.d.ts.map