import { CollectorComponent, PropPath } from './shared/types';
export declare const flushUpdates: () => void;
/**
 * Updates any component listening to:
 * - the exact propPath that has been changed. E.g. `tasks.2`
 * - a path further up the object tree. E.g. a component listening
 *   on `tasks.0` need to know if `tasks = 'foo'` happens
 * And if the path being notified is the top level (an empty path), everyone
 * gets updated.
 */
export declare const notifyByPath: (propPath: PropPath) => void;
export declare const removeListenersForComponent: (componentToRemove: CollectorComponent) => void;
//# sourceMappingURL=updateManager.d.ts.map